Skip to main content
`Ctrl`+`K`

# PetscLogStageGetId

Returns the stage id when given the stage name.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageGetId(const char name[], PetscLogStage *stage)

Not Collective

## Input Parameter

- name - The stage name

## Output Parameter

- stage - The stage, , or -1 if no stage with that name exists

## See Also

Profiling, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages